/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

import java.util.List;

/**
 * Represents an query-method element of the ejb-jar.xml deployment descriptor
 * for the 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.3.2.3 $</tt>
 */
public class QueryMethod
{

   private String methodName;

   private List methodParams;

   public String getMethodName()
   {
      return methodName;
   }

   public void setMethodName(String methodName)
   {
      this.methodName = methodName;
   }

   public List getMethodParams()
   {
      return methodParams;
   }

   public void setMethodParams(List methodParams)
   {
      this.methodParams = methodParams;
   }

   public void addMethodParam(String methodParam)
   {
      methodParams.add(methodParam);
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("methodName=").append(methodName);
      sb.append("]");
      return sb.toString();
   }
}
